
class TEST
inherit
	CODE_PAGE_CONSTANTS
create
	make
feature
	make
		do
			create source_encoding.make ("646")
			create dest_encoding.make ("UTF-32")
			convert_string ("Weasel")
			convert_string ("Stoat")
			convert_string ("Ermine")
		end 
    
	convert_string (s: STRING)
		local
			t: STRING
			conv_str: STRING_GENERAL
		do
			print ("Source string: " + s + "%N")
			source_encoding.convert_to (dest_encoding, s)
			if source_encoding.last_conversion_successful then
				conv_str := source_encoding.last_converted_string
				show_string (conv_str)
				t := source_encoding.last_converted_stream
				show_string (t)
				io.new_line
			else
				print ("Conversion failed!!!%N")
			end
		end

	show_string (s: STRING_GENERAL)
		local
			n, count: INTEGER
		do
			print (s.generating_type);
			print (" count = " + s.count.out + "%N")
			print ("Character codes: ")
			from
				count := s.count
				n := 1
			until
				n > count
			loop
				io.put_character (' ')
				io.put_natural_32 (s.code (n))
				n := n + 1
			end
			io.new_line
		end

	show_string_2 (s: STRING)
		local
			n, count: INTEGER
		do
			print ("STRING count = " + s.count.out + "%N")
			print (s); io.new_line
			print ("Character codes: ")
			from
				count := s.count
				n := 1
			until
				n > count
			loop
				io.put_character (' ')
				io.put_natural_32 (s.code (n))
				n := n + 1
			end
			io.new_line
		end

    	source_encoding: ENCODING

    	dest_encoding: ENCODING

end
